summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2018-12-21 09:53:56 +0100
committerPatrice Clement <monsieurp@gentoo.org>2018-12-22 14:44:35 +0100
commit6aa5d50a9d992c7fc8342ecec89ae87ab3ab08b0 (patch)
treeeddace3f25d793dcc6fffb1909f85881037ed052 /app-benchmarks
parentnet-im/signal-desktop-bin: remove old versions. (diff)
downloadgentoo-6aa5d50a9d992c7fc8342ecec89ae87ab3ab08b0.tar.gz
gentoo-6aa5d50a9d992c7fc8342ecec89ae87ab3ab08b0.tar.bz2
gentoo-6aa5d50a9d992c7fc8342ecec89ae87ab3ab08b0.zip
app-benchmarks/sysbench: bump to 1.0.16.
MIME-Version: 1.0 Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding: 8bit Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10674 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-benchmarks')
-rw-r--r--app-benchmarks/sysbench/Manifest1
-rw-r--r--app-benchmarks/sysbench/sysbench-1.0.16.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/app-benchmarks/sysbench/Manifest b/app-benchmarks/sysbench/Manifest
index 689c021d3f5..c58acf7cf63 100644
--- a/app-benchmarks/sysbench/Manifest
+++ b/app-benchmarks/sysbench/Manifest
@@ -1,2 +1,3 @@
DIST sysbench-1.0.10.tar.gz 1496937 BLAKE2B d2cf3283a2e2cac89a54e51e975eecec4b5514c08b14fe81138dc36b077e82de54cb3c5d218e1cc00dc6bff66319d780c69249c49c93e810d3ebde3c0b36b656 SHA512 3e2c9597538c9b71a50a0fb0e198f8852206fc609b0968253ee6b12f652fd56f1b2c6e7a4c93161b725e5c56193f7ce9d5cf58c4882839a4c1055c539861d16d
DIST sysbench-1.0.15.tar.gz 1507930 BLAKE2B d4f18b08a122b8574b916b5ddadf69dd37718ac94642fb8d31582c79788569190a26fad3b3cccaadb695a65a3b9efda59943e32947a709918b3fb6d80aee6cac SHA512 ff68ad15c037006a2a49e3d59062611062336860205816ca6d9cdd20832fc55b631960411caa718dff881e926196046a7317b33e803061868e524a819569d3a2
+DIST sysbench-1.0.16.tar.gz 1508595 BLAKE2B 0cd7818097fb617362d79f135a45942ddf3e55435364355b063eea22ec5f1666737d8e887baae237d8a895c1f8d9f0c1dd0d145c6c46f2827d8ce3eba696ca18 SHA512 f86db33dcb46c9a6f696418de6463a597c6635dc66aecb2e2e53948c299dd7d1d4dfcb7c37d78cd024113ae5484dfaf48ff1cc0a4aefbc586976a665b2df1ca6
diff --git a/app-benchmarks/sysbench/sysbench-1.0.16.ebuild b/app-benchmarks/sysbench/sysbench-1.0.16.ebuild
new file mode 100644
index 00000000000..4b1bf3a587f
--- /dev/null
+++ b/app-benchmarks/sysbench/sysbench-1.0.16.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools pax-utils
+
+DESCRIPTION="System performance benchmark"
+HOMEPAGE="https://github.com/akopytov/sysbench"
+SRC_URI="https://github.com/akopytov/sysbench/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="aio mysql postgres test"
+
+RDEPEND="aio? ( dev-libs/libaio )
+ mysql? ( virtual/libmysqlclient )
+ postgres? ( dev-db/postgresql:= )
+ dev-lang/luajit:="
+DEPEND="${RDEPEND}
+ dev-libs/concurrencykit
+ dev-libs/libxslt
+ sys-devel/libtool
+ virtual/pkgconfig
+ test? ( dev-util/cram )"
+
+src_prepare() {
+ default
+
+ # remove bundled libs
+ rm -r third_party/luajit/luajit third_party/concurrency_kit/ck third_party/cram || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable aio)
+ $(use_with mysql)
+ $(use_with postgres pgsql)
+ --without-attachsql
+ --without-drizzle
+ --without-oracle
+ --with-system-luajit
+ --with-system-ck
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ emake check test
+}
+
+src_install() {
+ default
+
+ pax-mark m "${ED%/}"/usr/bin/${PN}
+}